using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace BMA.EHR.Infrastructure.Migrations.DisciplineDb
{
    /// <inheritdoc />
    public partial class updatetableDisciplineDisciplinarysaddDisciplinaryFaultLevelOther : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AlterColumn<string>(
                name: "OffenseDetails",
                table: "DisciplineInvestigates",
                type: "longtext",
                nullable: true,
                comment: "ลักษณะความผิดครั้งแรกจะเป็น 'ยังไม่ระบุ' (NOT_SPECIFIED คือ ยังไม่ระบุ, NOT_DEADLY คือ ไม่ร้ายแรง, DEADLY คือ ร้ายแรง)",
                oldClrType: typeof(string),
                oldType: "longtext",
                oldComment: "ลักษณะความผิดครั้งแรกจะเป็น 'ยังไม่ระบุ' (NOT_SPECIFIED คือ ยังไม่ระบุ, NOT_DEADLY คือ ไม่ร้ายแรง, DEADLY คือ ร้ายแรง)")
                .Annotation("MySql:CharSet", "utf8mb4")
                .OldAnnotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AlterColumn<string>(
                name: "LevelConsideration",
                table: "DisciplineInvestigates",
                type: "longtext",
                nullable: true,
                comment: "ระดับการพิจารณา 'ยังไม่ระบุ' (NORMAL คือ ปกติ, URGENT คือ ด่วน, VERY_URGENT คือ ด่วนมาก)",
                oldClrType: typeof(string),
                oldType: "longtext",
                oldComment: "ระดับการพิจารณา 'ยังไม่ระบุ' (NORMAL คือ ปกติ, URGENT คือ ด่วน, VERY_URGENT คือ ด่วนมาก)")
                .Annotation("MySql:CharSet", "utf8mb4")
                .OldAnnotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AlterColumn<string>(
                name: "Description",
                table: "DisciplineInvestigates",
                type: "text",
                nullable: true,
                comment: "รายละเอียดของเรื่องร้องเรียน",
                oldClrType: typeof(string),
                oldType: "text",
                oldComment: "รายละเอียดของเรื่องร้องเรียน")
                .Annotation("MySql:CharSet", "utf8mb4")
                .OldAnnotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AlterColumn<string>(
                name: "ComplaintFrom",
                table: "DisciplineInvestigates",
                type: "longtext",
                nullable: true,
                comment: "รับเรื่องร้องเรียนจาก ระบุว่ารับเรื่องมาจากใคร/หน่วยงานไหน (สตง., ปปช., ปปท., จดหมาย, อีเมล, โทรศัพท์, บอกกล่าว)",
                oldClrType: typeof(string),
                oldType: "longtext",
                oldComment: "รับเรื่องร้องเรียนจาก ระบุว่ารับเรื่องมาจากใคร/หน่วยงานไหน (สตง., ปปช., ปปท., จดหมาย, อีเมล, โทรศัพท์, บอกกล่าว)")
                .Annotation("MySql:CharSet", "utf8mb4")
                .OldAnnotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AlterColumn<string>(
                name: "Appellant",
                table: "DisciplineInvestigates",
                type: "longtext",
                nullable: true,
                comment: "ผู้ร้องเรียน",
                oldClrType: typeof(string),
                oldType: "longtext",
                oldComment: "ผู้ร้องเรียน")
                .Annotation("MySql:CharSet", "utf8mb4")
                .OldAnnotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<bool>(
                name: "IsDisciplinary",
                table: "DisciplineInvestigate_ProfileComplaints",
                type: "tinyint(1)",
                nullable: true,
                comment: "ส่งไปสอบสวน");

            migrationBuilder.AlterColumn<string>(
                name: "OffenseDetails",
                table: "DisciplineDisciplinarys",
                type: "longtext",
                nullable: true,
                comment: "ลักษณะความผิดครั้งแรกจะเป็น 'ยังไม่ระบุ' (NOT_SPECIFIED คือ ยังไม่ระบุ, NOT_DEADLY คือ ไม่ร้ายแรง, DEADLY คือ ร้ายแรง)",
                oldClrType: typeof(string),
                oldType: "longtext",
                oldComment: "ลักษณะความผิดครั้งแรกจะเป็น 'ยังไม่ระบุ' (NOT_SPECIFIED คือ ยังไม่ระบุ, NOT_DEADLY คือ ไม่ร้ายแรง, DEADLY คือ ร้ายแรง)")
                .Annotation("MySql:CharSet", "utf8mb4")
                .OldAnnotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AlterColumn<string>(
                name: "LevelConsideration",
                table: "DisciplineDisciplinarys",
                type: "longtext",
                nullable: true,
                comment: "ระดับการพิจารณา 'ยังไม่ระบุ' (NORMAL คือ ปกติ, URGENT คือ ด่วน, VERY_URGENT คือ ด่วนมาก)",
                oldClrType: typeof(string),
                oldType: "longtext",
                oldComment: "ระดับการพิจารณา 'ยังไม่ระบุ' (NORMAL คือ ปกติ, URGENT คือ ด่วน, VERY_URGENT คือ ด่วนมาก)")
                .Annotation("MySql:CharSet", "utf8mb4")
                .OldAnnotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AlterColumn<string>(
                name: "Description",
                table: "DisciplineDisciplinarys",
                type: "text",
                nullable: true,
                comment: "รายละเอียดของเรื่องร้องเรียน",
                oldClrType: typeof(string),
                oldType: "text",
                oldComment: "รายละเอียดของเรื่องร้องเรียน")
                .Annotation("MySql:CharSet", "utf8mb4")
                .OldAnnotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AlterColumn<string>(
                name: "ComplaintFrom",
                table: "DisciplineDisciplinarys",
                type: "longtext",
                nullable: true,
                comment: "รับเรื่องร้องเรียนจาก ระบุว่ารับเรื่องมาจากใคร/หน่วยงานไหน (สตง., ปปช., ปปท., จดหมาย, อีเมล, โทรศัพท์, บอกกล่าว)",
                oldClrType: typeof(string),
                oldType: "longtext",
                oldComment: "รับเรื่องร้องเรียนจาก ระบุว่ารับเรื่องมาจากใคร/หน่วยงานไหน (สตง., ปปช., ปปท., จดหมาย, อีเมล, โทรศัพท์, บอกกล่าว)")
                .Annotation("MySql:CharSet", "utf8mb4")
                .OldAnnotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AlterColumn<string>(
                name: "Appellant",
                table: "DisciplineDisciplinarys",
                type: "longtext",
                nullable: true,
                comment: "ผู้ร้องเรียน",
                oldClrType: typeof(string),
                oldType: "longtext",
                oldComment: "ผู้ร้องเรียน")
                .Annotation("MySql:CharSet", "utf8mb4")
                .OldAnnotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "DisciplinaryFaultLevelOther",
                table: "DisciplineDisciplinarys",
                type: "longtext",
                nullable: true,
                comment: "ระดับโทษความผิดกรณีอื่นๆ")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AlterColumn<string>(
                name: "OffenseDetails",
                table: "DisciplineComplaints",
                type: "longtext",
                nullable: true,
                comment: "ลักษณะความผิดครั้งแรกจะเป็น 'ยังไม่ระบุ' (NOT_SPECIFIED คือ ยังไม่ระบุ, NOT_DEADLY คือ ไม่ร้ายแรง, DEADLY คือ ร้ายแรง)",
                oldClrType: typeof(string),
                oldType: "longtext",
                oldComment: "ลักษณะความผิดครั้งแรกจะเป็น 'ยังไม่ระบุ' (NOT_SPECIFIED คือ ยังไม่ระบุ, NOT_DEADLY คือ ไม่ร้ายแรง, DEADLY คือ ร้ายแรง)")
                .Annotation("MySql:CharSet", "utf8mb4")
                .OldAnnotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AlterColumn<string>(
                name: "LevelConsideration",
                table: "DisciplineComplaints",
                type: "longtext",
                nullable: true,
                comment: "ระดับการพิจารณา 'ยังไม่ระบุ' (NORMAL คือ ปกติ, URGENT คือ ด่วน, VERY_URGENT คือ ด่วนมาก)",
                oldClrType: typeof(string),
                oldType: "longtext",
                oldComment: "ระดับการพิจารณา 'ยังไม่ระบุ' (NORMAL คือ ปกติ, URGENT คือ ด่วน, VERY_URGENT คือ ด่วนมาก)")
                .Annotation("MySql:CharSet", "utf8mb4")
                .OldAnnotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AlterColumn<string>(
                name: "Description",
                table: "DisciplineComplaints",
                type: "text",
                nullable: true,
                comment: "รายละเอียดของเรื่องร้องเรียน",
                oldClrType: typeof(string),
                oldType: "text",
                oldComment: "รายละเอียดของเรื่องร้องเรียน")
                .Annotation("MySql:CharSet", "utf8mb4")
                .OldAnnotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AlterColumn<string>(
                name: "ComplaintFrom",
                table: "DisciplineComplaints",
                type: "longtext",
                nullable: true,
                comment: "รับเรื่องร้องเรียนจาก ระบุว่ารับเรื่องมาจากใคร/หน่วยงานไหน (สตง., ปปช., ปปท., จดหมาย, อีเมล, โทรศัพท์, บอกกล่าว)",
                oldClrType: typeof(string),
                oldType: "longtext",
                oldComment: "รับเรื่องร้องเรียนจาก ระบุว่ารับเรื่องมาจากใคร/หน่วยงานไหน (สตง., ปปช., ปปท., จดหมาย, อีเมล, โทรศัพท์, บอกกล่าว)")
                .Annotation("MySql:CharSet", "utf8mb4")
                .OldAnnotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AlterColumn<string>(
                name: "Appellant",
                table: "DisciplineComplaints",
                type: "longtext",
                nullable: true,
                comment: "ผู้ร้องเรียน",
                oldClrType: typeof(string),
                oldType: "longtext",
                oldComment: "ผู้ร้องเรียน")
                .Annotation("MySql:CharSet", "utf8mb4")
                .OldAnnotation("MySql:CharSet", "utf8mb4");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "IsDisciplinary",
                table: "DisciplineInvestigate_ProfileComplaints");

            migrationBuilder.DropColumn(
                name: "DisciplinaryFaultLevelOther",
                table: "DisciplineDisciplinarys");

            migrationBuilder.UpdateData(
                table: "DisciplineInvestigates",
                keyColumn: "OffenseDetails",
                keyValue: null,
                column: "OffenseDetails",
                value: "");

            migrationBuilder.AlterColumn<string>(
                name: "OffenseDetails",
                table: "DisciplineInvestigates",
                type: "longtext",
                nullable: false,
                comment: "ลักษณะความผิดครั้งแรกจะเป็น 'ยังไม่ระบุ' (NOT_SPECIFIED คือ ยังไม่ระบุ, NOT_DEADLY คือ ไม่ร้ายแรง, DEADLY คือ ร้ายแรง)",
                oldClrType: typeof(string),
                oldType: "longtext",
                oldNullable: true,
                oldComment: "ลักษณะความผิดครั้งแรกจะเป็น 'ยังไม่ระบุ' (NOT_SPECIFIED คือ ยังไม่ระบุ, NOT_DEADLY คือ ไม่ร้ายแรง, DEADLY คือ ร้ายแรง)")
                .Annotation("MySql:CharSet", "utf8mb4")
                .OldAnnotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.UpdateData(
                table: "DisciplineInvestigates",
                keyColumn: "LevelConsideration",
                keyValue: null,
                column: "LevelConsideration",
                value: "");

            migrationBuilder.AlterColumn<string>(
                name: "LevelConsideration",
                table: "DisciplineInvestigates",
                type: "longtext",
                nullable: false,
                comment: "ระดับการพิจารณา 'ยังไม่ระบุ' (NORMAL คือ ปกติ, URGENT คือ ด่วน, VERY_URGENT คือ ด่วนมาก)",
                oldClrType: typeof(string),
                oldType: "longtext",
                oldNullable: true,
                oldComment: "ระดับการพิจารณา 'ยังไม่ระบุ' (NORMAL คือ ปกติ, URGENT คือ ด่วน, VERY_URGENT คือ ด่วนมาก)")
                .Annotation("MySql:CharSet", "utf8mb4")
                .OldAnnotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.UpdateData(
                table: "DisciplineInvestigates",
                keyColumn: "Description",
                keyValue: null,
                column: "Description",
                value: "");

            migrationBuilder.AlterColumn<string>(
                name: "Description",
                table: "DisciplineInvestigates",
                type: "text",
                nullable: false,
                comment: "รายละเอียดของเรื่องร้องเรียน",
                oldClrType: typeof(string),
                oldType: "text",
                oldNullable: true,
                oldComment: "รายละเอียดของเรื่องร้องเรียน")
                .Annotation("MySql:CharSet", "utf8mb4")
                .OldAnnotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.UpdateData(
                table: "DisciplineInvestigates",
                keyColumn: "ComplaintFrom",
                keyValue: null,
                column: "ComplaintFrom",
                value: "");

            migrationBuilder.AlterColumn<string>(
                name: "ComplaintFrom",
                table: "DisciplineInvestigates",
                type: "longtext",
                nullable: false,
                comment: "รับเรื่องร้องเรียนจาก ระบุว่ารับเรื่องมาจากใคร/หน่วยงานไหน (สตง., ปปช., ปปท., จดหมาย, อีเมล, โทรศัพท์, บอกกล่าว)",
                oldClrType: typeof(string),
                oldType: "longtext",
                oldNullable: true,
                oldComment: "รับเรื่องร้องเรียนจาก ระบุว่ารับเรื่องมาจากใคร/หน่วยงานไหน (สตง., ปปช., ปปท., จดหมาย, อีเมล, โทรศัพท์, บอกกล่าว)")
                .Annotation("MySql:CharSet", "utf8mb4")
                .OldAnnotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.UpdateData(
                table: "DisciplineInvestigates",
                keyColumn: "Appellant",
                keyValue: null,
                column: "Appellant",
                value: "");

            migrationBuilder.AlterColumn<string>(
                name: "Appellant",
                table: "DisciplineInvestigates",
                type: "longtext",
                nullable: false,
                comment: "ผู้ร้องเรียน",
                oldClrType: typeof(string),
                oldType: "longtext",
                oldNullable: true,
                oldComment: "ผู้ร้องเรียน")
                .Annotation("MySql:CharSet", "utf8mb4")
                .OldAnnotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.UpdateData(
                table: "DisciplineDisciplinarys",
                keyColumn: "OffenseDetails",
                keyValue: null,
                column: "OffenseDetails",
                value: "");

            migrationBuilder.AlterColumn<string>(
                name: "OffenseDetails",
                table: "DisciplineDisciplinarys",
                type: "longtext",
                nullable: false,
                comment: "ลักษณะความผิดครั้งแรกจะเป็น 'ยังไม่ระบุ' (NOT_SPECIFIED คือ ยังไม่ระบุ, NOT_DEADLY คือ ไม่ร้ายแรง, DEADLY คือ ร้ายแรง)",
                oldClrType: typeof(string),
                oldType: "longtext",
                oldNullable: true,
                oldComment: "ลักษณะความผิดครั้งแรกจะเป็น 'ยังไม่ระบุ' (NOT_SPECIFIED คือ ยังไม่ระบุ, NOT_DEADLY คือ ไม่ร้ายแรง, DEADLY คือ ร้ายแรง)")
                .Annotation("MySql:CharSet", "utf8mb4")
                .OldAnnotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.UpdateData(
                table: "DisciplineDisciplinarys",
                keyColumn: "LevelConsideration",
                keyValue: null,
                column: "LevelConsideration",
                value: "");

            migrationBuilder.AlterColumn<string>(
                name: "LevelConsideration",
                table: "DisciplineDisciplinarys",
                type: "longtext",
                nullable: false,
                comment: "ระดับการพิจารณา 'ยังไม่ระบุ' (NORMAL คือ ปกติ, URGENT คือ ด่วน, VERY_URGENT คือ ด่วนมาก)",
                oldClrType: typeof(string),
                oldType: "longtext",
                oldNullable: true,
                oldComment: "ระดับการพิจารณา 'ยังไม่ระบุ' (NORMAL คือ ปกติ, URGENT คือ ด่วน, VERY_URGENT คือ ด่วนมาก)")
                .Annotation("MySql:CharSet", "utf8mb4")
                .OldAnnotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.UpdateData(
                table: "DisciplineDisciplinarys",
                keyColumn: "Description",
                keyValue: null,
                column: "Description",
                value: "");

            migrationBuilder.AlterColumn<string>(
                name: "Description",
                table: "DisciplineDisciplinarys",
                type: "text",
                nullable: false,
                comment: "รายละเอียดของเรื่องร้องเรียน",
                oldClrType: typeof(string),
                oldType: "text",
                oldNullable: true,
                oldComment: "รายละเอียดของเรื่องร้องเรียน")
                .Annotation("MySql:CharSet", "utf8mb4")
                .OldAnnotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.UpdateData(
                table: "DisciplineDisciplinarys",
                keyColumn: "ComplaintFrom",
                keyValue: null,
                column: "ComplaintFrom",
                value: "");

            migrationBuilder.AlterColumn<string>(
                name: "ComplaintFrom",
                table: "DisciplineDisciplinarys",
                type: "longtext",
                nullable: false,
                comment: "รับเรื่องร้องเรียนจาก ระบุว่ารับเรื่องมาจากใคร/หน่วยงานไหน (สตง., ปปช., ปปท., จดหมาย, อีเมล, โทรศัพท์, บอกกล่าว)",
                oldClrType: typeof(string),
                oldType: "longtext",
                oldNullable: true,
                oldComment: "รับเรื่องร้องเรียนจาก ระบุว่ารับเรื่องมาจากใคร/หน่วยงานไหน (สตง., ปปช., ปปท., จดหมาย, อีเมล, โทรศัพท์, บอกกล่าว)")
                .Annotation("MySql:CharSet", "utf8mb4")
                .OldAnnotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.UpdateData(
                table: "DisciplineDisciplinarys",
                keyColumn: "Appellant",
                keyValue: null,
                column: "Appellant",
                value: "");

            migrationBuilder.AlterColumn<string>(
                name: "Appellant",
                table: "DisciplineDisciplinarys",
                type: "longtext",
                nullable: false,
                comment: "ผู้ร้องเรียน",
                oldClrType: typeof(string),
                oldType: "longtext",
                oldNullable: true,
                oldComment: "ผู้ร้องเรียน")
                .Annotation("MySql:CharSet", "utf8mb4")
                .OldAnnotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.UpdateData(
                table: "DisciplineComplaints",
                keyColumn: "OffenseDetails",
                keyValue: null,
                column: "OffenseDetails",
                value: "");

            migrationBuilder.AlterColumn<string>(
                name: "OffenseDetails",
                table: "DisciplineComplaints",
                type: "longtext",
                nullable: false,
                comment: "ลักษณะความผิดครั้งแรกจะเป็น 'ยังไม่ระบุ' (NOT_SPECIFIED คือ ยังไม่ระบุ, NOT_DEADLY คือ ไม่ร้ายแรง, DEADLY คือ ร้ายแรง)",
                oldClrType: typeof(string),
                oldType: "longtext",
                oldNullable: true,
                oldComment: "ลักษณะความผิดครั้งแรกจะเป็น 'ยังไม่ระบุ' (NOT_SPECIFIED คือ ยังไม่ระบุ, NOT_DEADLY คือ ไม่ร้ายแรง, DEADLY คือ ร้ายแรง)")
                .Annotation("MySql:CharSet", "utf8mb4")
                .OldAnnotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.UpdateData(
                table: "DisciplineComplaints",
                keyColumn: "LevelConsideration",
                keyValue: null,
                column: "LevelConsideration",
                value: "");

            migrationBuilder.AlterColumn<string>(
                name: "LevelConsideration",
                table: "DisciplineComplaints",
                type: "longtext",
                nullable: false,
                comment: "ระดับการพิจารณา 'ยังไม่ระบุ' (NORMAL คือ ปกติ, URGENT คือ ด่วน, VERY_URGENT คือ ด่วนมาก)",
                oldClrType: typeof(string),
                oldType: "longtext",
                oldNullable: true,
                oldComment: "ระดับการพิจารณา 'ยังไม่ระบุ' (NORMAL คือ ปกติ, URGENT คือ ด่วน, VERY_URGENT คือ ด่วนมาก)")
                .Annotation("MySql:CharSet", "utf8mb4")
                .OldAnnotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.UpdateData(
                table: "DisciplineComplaints",
                keyColumn: "Description",
                keyValue: null,
                column: "Description",
                value: "");

            migrationBuilder.AlterColumn<string>(
                name: "Description",
                table: "DisciplineComplaints",
                type: "text",
                nullable: false,
                comment: "รายละเอียดของเรื่องร้องเรียน",
                oldClrType: typeof(string),
                oldType: "text",
                oldNullable: true,
                oldComment: "รายละเอียดของเรื่องร้องเรียน")
                .Annotation("MySql:CharSet", "utf8mb4")
                .OldAnnotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.UpdateData(
                table: "DisciplineComplaints",
                keyColumn: "ComplaintFrom",
                keyValue: null,
                column: "ComplaintFrom",
                value: "");

            migrationBuilder.AlterColumn<string>(
                name: "ComplaintFrom",
                table: "DisciplineComplaints",
                type: "longtext",
                nullable: false,
                comment: "รับเรื่องร้องเรียนจาก ระบุว่ารับเรื่องมาจากใคร/หน่วยงานไหน (สตง., ปปช., ปปท., จดหมาย, อีเมล, โทรศัพท์, บอกกล่าว)",
                oldClrType: typeof(string),
                oldType: "longtext",
                oldNullable: true,
                oldComment: "รับเรื่องร้องเรียนจาก ระบุว่ารับเรื่องมาจากใคร/หน่วยงานไหน (สตง., ปปช., ปปท., จดหมาย, อีเมล, โทรศัพท์, บอกกล่าว)")
                .Annotation("MySql:CharSet", "utf8mb4")
                .OldAnnotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.UpdateData(
                table: "DisciplineComplaints",
                keyColumn: "Appellant",
                keyValue: null,
                column: "Appellant",
                value: "");

            migrationBuilder.AlterColumn<string>(
                name: "Appellant",
                table: "DisciplineComplaints",
                type: "longtext",
                nullable: false,
                comment: "ผู้ร้องเรียน",
                oldClrType: typeof(string),
                oldType: "longtext",
                oldNullable: true,
                oldComment: "ผู้ร้องเรียน")
                .Annotation("MySql:CharSet", "utf8mb4")
                .OldAnnotation("MySql:CharSet", "utf8mb4");
        }
    }
}
